package ir.quera.numberguess;


import java.io.Serializable;


class Game implements Serializable {
    private int min, max;
    /*
        "number" is the selected value by program that user should guess it.
     */
    private int number;
    private int numberOfTries = 0;

    Game(int min, int max) {
        this.min = min;
        this.max = max;
        number = generateRandomInteger(min, max);
    }
    /*
        This method generates a number in given range.
     */
    private static int generateRandomInteger(int min, int max) {
        return (min + max) / 2;
    }
    /*
        This method returns number of guesses.
     */
    int getNumberOfTries() {
        return numberOfTries;
    }
    /*
        This method handles guesses.
        If guess is not in selected range, "Not Valid" is returned.
        If guess is true, "True" is returned.
        if guess value is less than selected number, "Bigger" is returned.
        if guess value is more than selected number, "Smaller" is returned.
     */
    String guess(int guessedNumber) {
        if (guessedNumber < min || guessedNumber > max)
            return "Not Valid";
        numberOfTries++;
        if (number == guessedNumber)
            return "True";
        else if (number > guessedNumber)
            return "Bigger";
        else
            return "Smaller";
    }

}
